%% Single 2D gaussian; takes parameters [A, theta1, x1, y1, s_x1, s_y1, C] and cell array of coordinates {x,y}
function z_hat = gaussian_2D(par,xy)

    z_hat = par(1) * exp(-( ( (cos(par(2))^2)/(2*par(5)^2) + (sin(par(2))^2)/(2*par(6)^2) ) .* ((xy{1}-par(3)).^2) + ...
                            ( sin(2*par(2))/(2*par(5)^2) - sin(2*par(2))/(2*par(6)^2) ) .* (xy{1}-par(3)) .* (xy{2}-par(4)) + ...
                            ( (sin(par(2))^2)/(2*par(5)^2) + (cos(par(2))^2)/(2*par(6)^2) ) .* ((xy{2}-par(4)).^2) ...
                          )) + par(7);

end
