%% Symmetric 2D gaussian with zero baseline; takes parameters [A, x, y, s] and cell array of coordinates {x,y}
function z_hat = gaussian_2D_sym(par,xy)

    z_hat = par(1) * exp( - ( ((xy{1}-par(2)).^2) + ((xy{2}-par(3)).^2) ) ./ (2*par(4)^2) ) + par(5);

end